import { checkEmployeeExists } from "../models/odoo/employee.js";
import { toggleEmployeeAttendance } from "../models/odoo/attendance.js";

export const toggleAttendance = async (req, res) => {
    try {
        const { employee_id } = req.body;

        if (!employee_id) {
            return res.status(400).json({ error: "employee_id is required" });
        }

        const exists = await checkEmployeeExists(employee_id);
        if (!exists) {
            return res.status(404).json({ error: "Employee not found" });
        }

        const result = await toggleEmployeeAttendance(employee_id);
        res.status(200).json(result);
    } catch (error) {
        res.status(500).json({ error: error.message });
    }
};
