// utils/date.js

/**
 * Converts a JS Date or ISO string to Odoo datetime format: 'YYYY-MM-DD HH:mm:ss'
 * @param {Date|string} date
 * @returns {string} formatted datetime
 */
export function toOdooDatetimeFormat(date) {
    const d = new Date(date);
    return d.toISOString().slice(0, 19).replace("T", " ");
}
